FreeMat

- Main Page
- Related Pages

vtkInteractorStyleRubberBandZoom

Section: Visualization Toolkit Rendering Classes

# Usage

This interactor style allows the user to draw a rectangle in the render window using the left mouse button. When the mouse button is released, the current camera zooms by an amount determined from the shorter side of the drawn rectangle.

To create an instance of class vtkInteractorStyleRubberBandZoom, simply invoke its constructor as follows

      obj = vtkInteractorStyleRubberBandZoom

# Methods

The class vtkInteractorStyleRubberBandZoom has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInteractorStyleRubberBandZoom class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInteractorStyleRubberBandZoom = obj.NewInstance ()`
- `vtkInteractorStyleRubberBandZoom = obj.SafeDownCast (vtkObject o)`
- `obj.OnMouseMove ()` - Event bindings
- `obj.OnLeftButtonDown ()` - Event bindings
- `obj.OnLeftButtonUp ()` - Event bindings